using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Syntriax.Engine.Core.Abstract;

// TODO Probably gonna have to rethink this
public interface ISprite
{
    Action<ISprite>? OnTextureChanged { get; set; }
    Action<ISprite>? OnColorChanged { get; set; }
    Action<ISprite>? OnDepthChanged { get; set; }

    Texture2D Texture2D { get; set; }
    Color Color { get; set; }
    float Depth { get; set; }
}
